package com.keao.edu.im.api.entity;

import java.util.Date;

public class MemberChangedMessage extends BaseMessage{
    public final static int Action_Join = 1;
    public final static int Action_Leave = 2;
    public final static int Action_Kick = 3;
    public final static int Action_Recorded = 4;
    public final static int Student_Queue = 5;
    public final static int Shield_UserId = 6;
    public final static int Not_Finish = 7;

    private int action;

    private String userId;
    private String userName;
    private String roomId;
//    private String appParamJson;
    private Integer waitNum;
    private Integer openFlag;
    private String shieldUserId;
    private Integer classroomSwitch;
    private String webParamJson;
    private boolean camera;
    private boolean microphone;

    int role;

    private Date timestamp;

    public String getShieldUserId() {
        return shieldUserId;
    }

    public void setShieldUserId(String shieldUserId) {
        this.shieldUserId = shieldUserId;
    }

    public Integer getOpenFlag() {
        return openFlag;
    }

    public void setOpenFlag(Integer openFlag) {
        this.openFlag = openFlag;
    }

    public MemberChangedMessage() {
    }

    public Integer getClassroomSwitch() {
        return classroomSwitch;
    }

    public void setClassroomSwitch(Integer classroomSwitch) {
        this.classroomSwitch = classroomSwitch;
    }

    public Integer getWaitNum() {
        return waitNum;
    }

    public void setWaitNum(Integer waitNum) {
        this.waitNum = waitNum;
    }

//    public String getAppParamJson() {
//        return appParamJson;
//    }

//    public void setAppParamJson(String appParamJson) {
//        this.appParamJson = appParamJson;
//    }

    public String getWebParamJson() {
        return webParamJson;
    }

    public void setWebParamJson(String webParamJson) {
        this.webParamJson = webParamJson;
    }

    public String getRoomId() {
        return roomId;
    }

    public void setRoomId(String roomId) {
        this.roomId = roomId;
    }

    public int getAction() {
        return action;
    }

    public void setAction(int action) {
        this.action = action;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public boolean isCamera() {
        return camera;
    }

    public void setCamera(boolean camera) {
        this.camera = camera;
    }

    public boolean isMicrophone() {
        return microphone;
    }

    public void setMicrophone(boolean microphone) {
        this.microphone = microphone;
    }

    public int getRole() {
        return role;
    }

    public void setRole(int role) {
        this.role = role;
    }

    public Date getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Date timestamp) {
        this.timestamp = timestamp;
    }

    public MemberChangedMessage(int action, String userId, int role) {
        this.action = action;
        this.userId = userId;
        this.role = role;
        this.camera = true;
        this.microphone = true;
    }

    @Override
    public String getObjectName() {
        return "SC:RMCMsg";
    }
}
